2019-12-07 04:36 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001599FSSCPFS2NetDpublic2008-10-04 03:49
ReporterShade 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001599: 3.6.10 lobby allows nick change to reserved names
DescriptionAfter getting past the nickname check at logon, you can change you nick at will without getting kicked, even if the new nick is a reserved one. Only possible when logging on with an IRC client, not in-game.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009026

taylor (administrator)

I know that the chat server is still acting up, with the delayed login and all, but can you give this a try and let me know if it's fixed now (my IP is in the pass filter so it won't ever catch me as invalid).

~0009029

Shade (developer)

I'm currently known as "taylor", so it's not fixed. Doesn't even boot me when I switch channels, either.

Also, the delayed login only affects FS2, it's not present when logging on with an IRC client which is where this nick-change problem is an issue - Nick change doesn't work in-game.

~0009790

taylor (administrator)

Works in my tests now, so I think that it is properly fixed this time. If you try it out and it still messes up then just reopen this bug. Also check that if you try and change to an invalid nick that it doesn't completely block nick changes for you after that too.

~0009791

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-02-18 05:43 Shade New Issue
2008-02-18 05:43 Shade Status new => assigned
2008-02-18 05:43 Shade Assigned To => taylor
2008-02-18 13:00 taylor Category multiplayer => FS2NetD
2008-03-24 05:31 taylor Note Added: 0009026
2008-03-24 18:45 Shade Note Added: 0009029
2008-10-04 03:48 taylor Note Added: 0009790
2008-10-04 03:49 taylor Status assigned => resolved
2008-10-04 03:49 taylor Fixed in Version => 3.6.10
2008-10-04 03:49 taylor Resolution open => fixed
2008-10-04 03:49 taylor Note Added: 0009791
+Issue History